<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Registration</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<style>
   body {
  background: url('https://img.freepik.com/premium-photo/asphalt-road-background-pictures_1359-2894.jpg?w=2000') no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
  -o-background-size: cover;
}

</style>
<body>
<div class="container-fluid d-flex justify-content-center align-items-center ">
    <h1>Sign up</h1>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center ">
    <div class="row bg-light shadow-sm border border-dark rounded p-3">
        <form th:method="POST" th:action="@{/registration}" th:object="${user}">
            <div class="form-group">
                <label for="name">Your name</label>
                <input type="text" th:field="*{name}" class="form-control" id="name" aria-describedby="name"
                       placeholder="Enter your name">
                <div class="alert alert-warning" th:if="${#fields.hasErrors('name')}" th:errors="*{name}"></div>
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" th:field="*{email}" class="form-control" id="email"
                       placeholder="Enter your email">
                <div class="container-fluid d-flex justify-content-center align-items-center text-danger">
                    <div th:text="${emailExist}"></div>
                </div>
                <div class="alert alert-warning" th:if="${#fields.hasErrors('email')}" th:errors="*{email}"></div>
            </div>
            <div class="form-group">
                <label for="phone">Phone</label>
                <input type="text" th:field="*{phone}" class="form-control" id="phone"
                       placeholder="Enter your phone">
                <div class="alert alert-warning" th:if="${#fields.hasErrors('phone')}" th:errors="*{phone}"></div>
            </div>
            <label for="role">Choose your role</label>
            <select class="form-select container-fluid text-center" id="role" th:field="*{role}" >
                <option selected  th:value="USER">I'm user</option>
                <option  th:value="VENDOR">I'm vendor</option>
            </select>
            <div class="form-group pt-3">
                <label for="password">Password</label>
                <input type="password" th:field="*{password}" class="form-control" id="password"
                       placeholder="Password"
                       name="password">
                <div class="alert alert-warning" th:if="${#fields.hasErrors('password')}"
                     th:errors="*{password}"></div>
                <label for="confirm_password">Confirm password</label>
                <input type="password" class="form-control" id="confirm_password" placeholder="Confirm password"
                       name="confirm_password">
                <div class="container-fluid d-flex justify-content-center align-items-center pt-2">
                    <span id='message'></span>
                </div>
            </div>
            <div>
                <button type="submit" class="btn btn-primary btn-block">Sign up</button>
            </div>
            <small id="desc" class="form-text">*All fields are required.</small>
        </form>
    </div>
</div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="/js/script1.js"></script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>

</body>
</html>